! ESA (C) 2000-2018 
!
! This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
!
!    SAS is free software: you can redistribute it and/or modify
!    it under the terms of the GNU General Public License as published by
!    the Free Software Foundation, either version 3 of the License, or
!    (at your option) any later version.
!
!    SAS is distributed in the hope that it will be useful,
!    but WITHOUT ANY WARRANTY; without even the implied warranty of
!    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
!    GNU General Public License for more details.
!
!    You should have received a copy of the GNU General Public License
!    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
! -*-f90-*-
!
! Author:    jbakker
! Generated: Tue Oct  8 11:21:10 CEST 2002
! Usage:     -
! Info:      -
!
!        $ f95 lbound.f90
!        $ ./a.out 
!        asFortran77.shape  =   3
!        asFortran77.size   =   3
!        asFortran77.lbound =  -1
!        asFortran77.ubound =   1
!        
!        asIntent.shape     =   3
!        asIntent.size      =   3
!        asIntent.lbound    =   1
!        asIntent.ubound    =   3
!        
!        asPointer.shape    =   3
!        asPointer.size     =   3
!        asPointer.lbound   =  -1
!        asPointer.ubound   =   1

program main
    integer, pointer :: vector(:)
    allocate(vector(-1:1))

    call asFortran77(-1,1,vector)
    print '("")'
    call asIntent(vector)
    print '("")'
    call asPointer(vector)

contains
   subroutine asFortran77(l,h,v)
      integer, intent(in) :: l,h
      integer, intent(in) :: v(l:h)

      print '(A,I4)',"asFortran77.shape  =", shape(v)
      print '(A,I4)',"asFortran77.size   =", size(v)
      print '(A,I4)',"asFortran77.lbound =", lbound(v,1)
      print '(A,I4)',"asFortran77.ubound =", ubound(v,1)
   end subroutine asFortran77

   subroutine asIntent(v)
      integer, intent(in) :: v(:)

      print '(A,I4)',"asIntent.shape     =", shape(v)
      print '(A,I4)',"asIntent.size      =", size(v)
      print '(A,I4)',"asIntent.lbound    =", lbound(v,1)
      print '(A,I4)',"asIntent.ubound    =", ubound(v,1)
   end subroutine asIntent

   subroutine asPointer(v)
      integer, pointer :: v(:)
      
      print '(A,I4)',"asPointer.shape    =", shape(v)
      print '(A,I4)',"asPointer.size     =", size(v)
      print '(A,I4)',"asPointer.lbound   =", lbound(v,1)
      print '(A,I4)',"asPointer.ubound   =", ubound(v,1)
   end subroutine asPointer
end program main
