// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
// -*-C++-*-
//
// File:      OmSource.h
// Author:    Jorgo Bakker (jbakker@astro.estec.esa.nl)
// Generated: Fri Sep 13 17:00:17 CEST 2002
// Usage:     -
// Info:      -

#ifndef OmSource_h
#define OmSource_h
#include <qstring.h>
#include <qstatusbar.h>
#include "SasTaskWindow.h"

#include <iostream>

class OmSourceBrowser;

class OmSource : public SasTaskWindow
{
  Q_OBJECT
public:
  OmSource();
  virtual ~OmSource();

signals:
   

public  slots:
    void Hide() { hide(); };
    void Show() { show(); };;
    void Exit() { exit(0); }; // NB exit was quit 
    void Repaint() { repaint(); };
    void SetCaption(QString caption) {setCaption(caption); };
    void SetStatusBarMessage(QString& caption, long time)
    {
        statusBar()->message(caption, time);

    };
    void SetStatusBarMessage(QString& caption) { statusBar()->message(caption); };
    
    
    
private slots:

protected:

private:

  // member functions
  OmSource(const OmSource&);            // copy constructor (disabled)
  OmSource& operator=(const OmSource&); // assignment (disabled)

  // member data
  OmSourceBrowser* _browser;
};


#endif




