// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.

#include <qapplication.h>
#include <qpushbutton.h>
#include <qdialog.h>
#include "OmSourceVersionNo.h"
#include <qstring.h>
#include <qspinbox.h>
#include <qlabel.h>
#include <qtooltip.h>
#include <qmessagebox.h>
#include <ExceptionErrorHandler.h>
#include <qtimer.h>
#include <qcheckbox.h>
#include <qdatetime.h>

#include <qfont.h>
#include <qfontmetrics.h>
#include <qpaintdevicemetrics.h>
#include <qpainter.h> 
#include <qpen.h>
#include "OmSourceGraphDlg.h"
#include "OmSourceLabel.h"
#include "OmSourceButton.h"
#include <qcanvas.h>
#include <qtimer.h>
#include <qpainter.h>
#include <qtimer.h>
#include <cmath>
#include "graph.h"
#include <iostream>
/********************************************************************************
 * Dialog for running omdetect- allows you to change the parameters nsigma
 * and minsignificance.          
 *
 *******************************************************************************/

GraphDlg::GraphDlg(QWidget *parent, Graph *graph) :
  QDialog(parent, "", true), _graph(graph)
{

  //  for(int i = 0; i < 100; i++)
  //{    QApplication::beep();
//  float f = 90.0;
  
  //  cout << " testfunction=" << TestFunction(f) << " " << f << endl;
  //  cout << "Graph dlg line 44\n";
  //}
    resize(800, 800);
      
    QRect rect1 = rect();
 
    OmSourceButton *quitButton = new OmSourceButton(this, "OK", 
		   (rect1.right() - rect1.left()) / 3 - 35 , rect1.bottom() - 50, 70, 35); 
 
    connect(quitButton, SIGNAL(clicked()), this, SLOT(quit()));




    OmSourceButton *printButton = new OmSourceButton(this, "Print", 
		   (rect1.right() - rect1.left()) / 2 - 35 , rect1.bottom() - 50, 70, 35); 
 
    connect(printButton, SIGNAL(clicked()), this, SLOT(printDiagram()));
   

        _timer = new QTimer( this);
        connect( _timer, SIGNAL(timeout()), this, SLOT(loadData()) );
  
        _timer->start( 5000); // 2 seconds single-shot timer


 
	//    QTimer::singleShot(5000, this, SLOT(loadData()) );
               
     

      

};

GraphDlg::~GraphDlg()
{
 
    _timer->stop();
}

void GraphDlg::loadData()
{
  //  float f = 90.0;
  //  cout << " testfunction=" << TestFunction(f) << " " << f << endl;
  _timer->stop();
    _graph->loadData(100);
    repaint();
}


/************************************************************
 *
 ***********************************************************/
void GraphDlg::paintEvent( QPaintEvent * )
{
    QPainter p;
    p.begin( this );
 
    drawGraph(&p);
      
    p.end();
};

/************************************************************
 *
 ***********************************************************/
void GraphDlg::drawGraph(QPainter *painter)
{
  _graph->drawGraph(painter);    
  
};
/************************************************************
 *
 ***********************************************************/
void GraphDlg::printDiagram()
{
  print(this);    
  
};
/*********************************************************
* printSourceList
* Prints the contents of the combo box that stores
* the average magnitudes
*********************************************************/
void GraphDlg::Print(QPrinter* , QPainter* p,  
               QFontMetrics* ,  QPaintDeviceMetrics* )
{
  //    const int MARGIN = metrics->logicalDpiX() / 2; // half-inch margin
   


   

    drawGraph(p);

  

}







