// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.

#include <qapplication.h>
#include <qpushbutton.h>
#include <qdialog.h>
#include "OmSourceVersionNo.h"
#include <qstring.h>
#include <qspinbox.h>
#include <qlabel.h>
#include <qtooltip.h>
#include <qmessagebox.h>
#include <ExceptionErrorHandler.h>
#include <qtimer.h>
#include <qcheckbox.h>
#include <qdatetime.h>

#include <qfont.h>
#include "OmSourceInformationDlg.h"
#include "OmSourceLabel.h"
#include "OmSourceButton.h"
#include <qcanvas.h>
/********************************************************************************
 * Dialog for running omdetect- allows you to change the parameters nsigma
 * and minsignificance.          
 *
 *******************************************************************************/

InformationDlg::InformationDlg(QWidget *parent, QString text[]) :
  QDialog(parent, "", true)
{

   
    setCaption(omsourceVersionNo() + QString(" Exposure information"));

    int yPos = 10;
    
    int i = 0;
    int maxWidth = 0; 
    while(text[i])
    {
     
        OmSourceLabel *label = new OmSourceLabel(this, text[i++], 
              10, yPos, 30);
              label->show();
        yPos += 40;
        maxWidth = max(maxWidth, label->width());
    }        

   yPos += 50;
   OmSourceButton *quitButton = new OmSourceButton(this, "OK", 
		   10 + maxWidth / 2 - 35, yPos, 70, 35); 
 
   connect(quitButton, SIGNAL(clicked()), this, SLOT(quit()));

};







