// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
// -*-C++-*-
//
// File:      OmSource.h
// Author:    Jorgo Bakker (jbakker@astro.estec.esa.nl)
// Generated: Fri Sep 13 17:00:17 CEST 2002
// Usage:     -
// Info:      -

#ifndef OmSourceLabel_h
#define OmSourceLabel_h
#include <qwidget.h>
#include <qlabel.h>

class QString;
class OmSourceLabel : public QLabel
{
     Q_OBJECT  
public:
    OmSourceLabel(QWidget *parent, QFont &font, QString title, 
		   int xPos, int yPos,  
                   QString help = QString::null); 
 

          OmSourceLabel(QWidget *parent, const QString title, 
		   int xPos, int yPos, int height,  
                   QString help = QString::null); 
 

    OmSourceLabel(QWidget *parent, const QString title, 
		   int xPos, int yPos,  
                   QString help = QString::null); 
 



    OmSourceLabel(QWidget *parent, QString title, 
		   int xPos, int yPos, int width, int height,  
                   QString help = QString::null); 
        
  
    OmSourceLabel(QWidget *parent, QString title, 
		   int xPos, int yPos, int width, int height,  
                   QColor bkgColour, QString help = QString::null); 
        

   virtual ~OmSourceLabel() {};
   void setText(QString &text, int length = -1);

  void setText1(QString &text);

   void setText(const char* text, int length = -1);



private:
   int _width;

};
#endif






