// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
#ifndef OmSourceProcessDlg_h
#define OmSourceProcessDlg_h
#include <qapplication.h>

#include <qdialog.h>
#include <qstring.h>
#include <qcheckbox.h>
class QSpinBox;


#include "OmSourceLog.h"
#include "OmImageDisplay.h"
#include "OmSourceVersionNo.h"

F90MODPROCPROTO(void,omsource_glue, recompute)(const int& id);
F90MODPROCPROTO(void, omsource_glue, computephotometry)(OmSourceParameters &sources);
F90MODPROCPROTO(void, omsource_glue, computebackgroundimage)();


class QLabel;;
class ProcessDlg : public QDialog
{
    Q_OBJECT
     
 private slots:
    

    void runProcess1();    
    void pause1();  
    void runProcess2();    
    void pause2();  
    void runProcess3();    
    void pause3();  
  

      public:
    ProcessDlg(QWidget *parent, int no = 0, 
           QString text = QString::null, 
           void (*function)(int sourceNo) = 0);

     ProcessDlg(QWidget *parent, void (*function)());


   

    
    ProcessDlg(QWidget *parent, OmSourceParameters *source, 
           QString text = QString::null, 
           void (*function)(OmSourceParameters *source) = NULL);





 
    static void aperturePhotometry(int sourceNo)
    {

      //     cout << "omsourceprocessdlg.h aperturephotometry line 59\n";         
      //      cout << "Source no=" << sourceNo << endl;        
        F90MODPROC(omsource_glue, recompute)(sourceNo);
 

    }; 
    static void aperturePhotometry(OmSourceParameters *source)
    {


             
        F90MODPROC(omsource_glue, computephotometry)(*source);
    

    }; 

    static void computeBackgroundImage()
    {

         
        F90MODPROC(omsource_glue, computebackgroundimage)();
    

    }; 











    static void createNewSourceListFile(int no = 0);    
 private:
    int _sourceNo;
    OmSourceParameters *_source;
    QString _caption;
    QLabel *_label;
    void (*Function1)(int sourceNo);    
    void (*Function2)(OmSourceParameters *_source);    
    void (*Function3)();    

};

#endif



