// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.

#include <cstdio>
#include <qfile.h>
#include <errstr.h>
#include "OmSourceTempFile.h"
/*******************************************
 * The following is used to create the
 * name of a temporary file
 *******************************************/

   
void TempFile::createTempFile(char *name)
{ 
 
    for (int i = 0; i < 100; i++)
    {

         
        sprintf(name, "%s%03d%s", "OMSOURCETEMPFILE", _number++, ".tmp");

        QFile file(name);
       
        if (!file.exists()) return;

    }
   

    errstr << "Could not create temporary file name" 
                << Sas::error("No file name");
   
}
    
int TempFile::_number = 0;








