// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
#ifndef OMSPINBOX_H
#define OMSPINBOX_H
#include <qspinbox.h>
#include <vector>
#include <cstring>
#include <qstring.h>
#include <iostream>
class QWidget;


/**********************************************************************
*
*
*
**********************************************************************/
class OmSpinBox : public QSpinBox
{

  Q_OBJECT

protected:
   
   QString mapValueToText(int v)
   {

    

        if ( v < minValue() || v > maxValue() )
	    return " ";
        else
            return (QString)_stringList[v - 1].c_str();
   };

public:

    OmSpinBox( QWidget *widget, QString text, vector<string> &theList, int current = 1);
  
    OmSpinBox( QWidget *widget, QString text, int size, vector<string> &theList, int current = 1);
  

private:
    vector<string> _stringList;

};
/**************************************************************
 *
 *
 *************************************************************/
class OmSpinBox2 : public QSpinBox
{

  Q_OBJECT

protected:
   
   QString mapValueToText(int v)
   {
     
        if ( v < minValue() || v > maxValue() )
	    return " ";
        else if( v == minValue())
	{
      
	    QString text;
            text.sprintf("%4.2f", _defaultValue);
            return text;

        }
        else
	{
    
	    float value = _xmin + float( v - 1) * _dx;
	    QString text;
            text.sprintf("%4.2f", value);
            return text;

        }
   };

public:

    OmSpinBox2( QWidget *widget, QString text, float xmin, float 
              xmax, float dx, float defaultValue, int current = 0);
  
    float realValue()
    {
        int index = value();
        if (index == minValue() )
	    return _defaultValue;
        else
           return _xmin + float( index - 1) * _dx;
    };   

private:
   float _xmin, _xmax, _dx, _defaultValue;

};



#endif
